# Call Details & Transcript

This endpoint will retrieve the call details for a specific call:

```
GET https://api.simplephones.ai/v1/calls/:callId
```

To obtain the callId, try getting a list of your latest calls. (see previous page)

Example return value:

```
{
  _id: '819d7067dbd62ca62a6c62c5',
  minutesUsed: 0.9666666666666667,
  user: '47630a2e0efa1ae21f848a69',
  number: 'c2d525c7c7b5b9f1fd941770',
  fromRawNumber: '+17777777777',
  fromFormattedNumber: '(777) 777-7777',
  toRawNumber: '+15555555555',
  toFormattedNumber: '(555) 555-5555',
  startTime: '2023-03-01T13:00:00.000Z',
  endTime: '2023-03-01T13:01:01.000Z',
  transcript: [
    {
      _id: '87a6ba747dc1625be5b12562',
      who: 'agent',
      message: 'Hello, this is Smith Notary. How can I help you today? You can say things like, "about us", "schedule an appointment" or "leave a message".',
      created: '2023-03-01T13:00:00.000Z'
    },
    {
      _id: '5f9a2eec8cad59afe6efe0e2',
      who: 'user',
      message: 'leave a message',
      created: '2023-03-01T13:01:00.000Z'
    },
    {
      _id: '9d0ecd3f6345dc7f52c7acd0',
      who: 'agent',
      message: 'Got it.',
      created: '2023-03-01T13:01:00.000Z'
    }
  ],
  created: '2023-03-01T13:03:00.000Z',
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.simplephones.ai/developers/call-details-and-transcript.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
